Bug 375411 - package-cleanup doesn't report packages with different archs
package-cleanup doesn't report packages with different archs
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 22:58 EST by Ralf Corsepius
Modified: 2014-01-21 01:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 10:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-11-10 22:58:48 EST
Description of problem:
package-cleanup doesn't find duplicate packages with different archs:

# package-cleanup -d
Setting up yum
[Seemingly clean system]

# rpm -q --qf '%{name}-%{version}-%{release}.%{arch}\n' xorg-x11-proto-devel
xorg-x11-proto-devel-7.2-9.fc7.i386
xorg-x11-proto-devel-7.3-3.fc8.noarch

Version-Release number of selected component (if applicable):
yum-3.2.7-1.fc8
yum-utils-1.1.8-1.fc8

How reproducible:
Deterministic.

Expected results:
Function.

See also: https://bugzilla.redhat.com/show_bug.cgi?id=375401
Comment 1 Tim Lauridsen 2008-06-02 08:15:47 EDT
This is kind of tricky, Ex. on a x86_64 system there can be a lot name.i386 &
name.x86_64 duplicate packages, you don't want to clean up.

the 'yum-complete-transaction' takes care of the case there a yum transaction
some how get terminated before it completes and complete the transaction and
remove the packages where was not cleaned up by yum. This is a much better
approach to get rid of duplicate packages.

but if you like it i can keep this report open as an RFE, if someone wants to
pick it up. :)  
Comment 2 Ralf Corsepius 2008-06-02 10:17:19 EDT
(In reply to comment #1)
> This is kind of tricky, Ex. on a x86_64 system there can be a lot name.i386 &
> name.x86_64 duplicate packages, you don't want to clean up.

Yes, nobody claimed this would be easy - such is life ...

> but if you like it i can keep this report open as an RFE, if someone wants to
> pick it up. :)  
... what shall I say? IMO, package-cleanup (and may be yum) simply doesn't do
its job properly. Clear case of a bug, isn't it?
Comment 3 Jan Hutař 2008-09-10 05:40:37 EDT
Hello, what exactly duplicates are? Is aaa-1-1.i386 duplicate of aaa-1-2.i386? And I guess multiarch arches are not duplicate, but arch-noarch are. Am I right?
Comment 4 Bug Zapper 2008-11-26 03:18:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:08:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Ralf Corsepius 2009-01-09 00:28:24 EST
Stupid bug zappers - Reopening
Comment 7 Tim Lauridsen 2009-03-05 05:18:40 EST
This is fixed upstream
http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=d16a6b429e75a911354aa693a8b84c7ce755ad99

You can try this one
http://yum.baseurl.org/gitweb?p=yum-utils.git;a=blob_plain;f=package-cleanup.py;hb=d16a6b429e75a911354aa693a8b84c7ce755ad99

It is a little hard to test, because you need at system with some

name-1.0-1.i386
name-2.0-1.noarch

duplicates.

Note You need to log in before you can comment on or make changes to this bug.